Bug 191357 - [MAINTAINER] net-p2p/bitcoin: update to 0.9.2
[MAINTAINER] net-p2p/bitcoin: update to 0.9.2
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
Depends on:
  Show dependency treegraph
Reported: 2014-06-25 07:48 UTC by robbak
Modified: 2014-07-11 16:56 UTC (History)
2 users (show)

See Also:

bitcoin-0.9.2.patch (4.74 KB, patch)
2014-06-25 07:48 UTC, robbak
no flags Details | Diff
Update on patch - split patch, remove commented (5.55 KB, patch)
2014-06-26 08:20 UTC, robbak
robbak: maintainer‑approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description robbak 2014-06-25 07:48:03 UTC
Created attachment 144113 [details]

- Update to 0.9.2

Add patch to edit some makefiles to remove a bashism.

Tested on Redports,  https://redports.org//~robbak/20140625035700-29016-218023/bitcoin-0.9.2.log

Note to S Willis: Please add the distfile to your freebsd.org space.

Generated with FreeBSD Port Tools 1.02 (mode: update, diff: ports)
Comment 1 robbak 2014-06-26 08:20:20 UTC
Created attachment 144143 [details]
Update on patch - split patch, remove commented

I noticed a few nits I had missed - the makefile had a few commented-out lines, and the one patch covered two files.
Comment 2 commit-hook freebsd_committer 2014-07-11 16:55:13 UTC
A commit references this bug:

Author: swills
Date: Fri Jul 11 16:54:49 UTC 2014
New revision: 361568
URL: http://svnweb.freebsd.org/changeset/ports/361568

  net-p2p/bitcoin: update to 0.9.2

  PR:		191357
  Submitted by:	Robert Backhaus <robbak@robbak.com> (maintainer)

Comment 3 Steve Wills freebsd_committer 2014-07-11 16:56:29 UTC
Committed, thanks!